Subject: strlen on a NULL
From: [email-masked]

12 May 1998 12:07:33 -0700
Message-ID: <H00000b00005bfcb.cygnus.gnu-win32@MHS>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; name=strlen; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

> If I do a strlen on a NULL pointer I get a coredump.
> I have the same code running on a few *other* Unix machines with
> exhibiting this behaviour.
> OK, so I could tidy it up, but I wondered is this an oversight or the
> correct behaviour?

I just observed the same problem.
The differnce lies in where the core is located. A UNIX core starts from
ZERO, and thus you are allowed to read from a NULL pointer on UNIX, as
You read from your code.

On NT your process may lie anywhere, but never in ZERO, Thus you are not
permitted to read from adress NULL. (You are not allowed to snoop around
in the interrupt vetors!)

So this is the explanation!
  
  Kjeld

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".